WordPress.org

Ready to get started?Download WordPress

Forums

Easy Theme and Plugin Upgrades
[resolved] [closed] Folder already Exists (15 posts)

  1. djaef
    Member
    Posted 4 months ago #

    Suddenly with the latest version of Avada, I can't get the theme to update. I have Yes selected for the upload, but it tells me the folder already exists. Any idea? Could it be connected to the theme zip file?
    Geoff

    https://wordpress.org/plugins/easy-theme-and-plugin-upgrades/

  2. djaef
    Member
    Posted 3 months ago #

    Hello. Are the developers here? I'd like an answer if possible. I have used this plugin with Avada successfully for months, but suddenly it doesn't work with it (still works with other themes).
    Geoff

  3. djaef
    Member
    Posted 3 months ago #

    So this plugin isn't being supported any more?

  4. fratdeals
    Member
    Posted 3 months ago #

    I think I have ran into a similar if not the same issue. Were you able to fix yours?

  5. djaef
    Member
    Posted 3 months ago #

    No, and the developers have completely ignored me. I would recommend stopping using ALL ithemes plugins.

  6. Skoad
    Member
    Posted 3 months ago #

    Also getting this error. Hopefully someone will share a fix.

  7. Need help now
    Member
    Posted 3 months ago #

    I have this error also and it is preventing me from updating my theme. Anyone know of any fixes?

  8. Chris Jean
    Member
    Plugin Author

    Posted 3 months ago #

    The "Destination folder already exists" message comes from WordPress since by default it will not overwrite an existing directory, which is what this plugin is meant to help avoid.

    For those experiencing this problem, when installing the update, are you prompted for FTP or similar details in order to complete the installation?

  9. djaef
    Member
    Posted 3 months ago #

    Bit late Chris.
    As to your question, for me, no.

  10. Chris Jean
    Member
    Plugin Author

    Posted 3 months ago #

    Are any notices shown at the top of the page, such as:

    The Easy Theme and Plugin Upgrades plugin was unable to handle requests for this upgrade. Unfortunately, this setup may be incompatible with the plugin.

    You must select "Yes" from the "Upgrade existing theme?" dropdown option in order to upgrade an existing theme. Try again.

    Unable to make a backup of the existing theme. Will not proceed with the upgrade.

    Unable to initialize WP_Filesystem. Will not proceed with the upgrade.

    Unable to remove the existing theme directory. Will not proceed with the upgrade.

  11. wavesofchange
    Member
    Posted 3 months ago #

    I have i-transform theme. Downloaded the recent upgrade. Installed your nice plug in, BUT when I go to Appearance > themes on my WP localhost site, there is no "Install Themes" tab. What do I do. I just see the list of installed themes.
    Helen

  12. djaef
    Member
    Posted 3 months ago #

    Latest update fixed the issue. I'm using Avada.
    I was getting "Theme already exists", even though I had chosen Yes to upgrade it.
    If I didn't like this plugin so much I would ditch it due to your very slow response... but all is forgiven :)

  13. Chris Jean
    Member
    Plugin Author

    Posted 2 months ago #

    @wavesofchange

    I need to update that text for 3.9. It's a bit different now. Go to Appearance > Themes, click the "Add New" button at the top of the page, and then click the "Upload Theme" button at the top of the page.

  14. Chris Jean
    Member
    Plugin Author

    Posted 2 months ago #

    @djaef

    Sorry for the trouble. The issue was that they removed the hook that I was using for integration into the uploader in 3.9, and I failed to notice the change. As you mention, the latest version of the plugin fixes compatibility with WordPress 3.9.

  15. volfan
    Member
    Posted 2 months ago #

    I'm having this issue with the new version. Have used it on another site without problems.

    Unpacking the package…

    Installing the theme…

    Destination folder already exists. ******/*******/*******/wp-content/themes/parallelus-salutation/

    Theme install failed.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic